# load docker image & start docker engine
image: tmaier/docker-compose:latest
services:
  - docker:28.0.1-dind

# define pipline stages
stages:
  - lint

# environment for pipeline
variables:
  # Workaround for error in DIND:
  DOCKER_TLS_CERTDIR: ''
  DOCKER_HOST: tcp://docker:2375
  DOCKER_DRIVER: overlay2
  BUNDLE_PATH: /usr/local/bundle
  DEPLOY_TAG: $CI_COMMIT_SHA
  CI: 'true'
  KUBE_NAMESPACE: sdv-mvp-$CI_COMMIT_REF_NAME

eslint_job:
  stage:
    lint
  image:
    node:latest
  variables:
    NODE_ENV: 'test'
  script:
    - yarn install
    - yarn run lint 
